[package]
name = "qroissant-python"
version.workspace = true
edition.workspace = true
license.workspace = true
publish = false

[lib]
name = "_native"
crate-type = ["cdylib", "rlib"]
path = "src/lib.rs"

[dependencies]
bb8 = "0.9.0"
bytes = "1.11.1"
chrono = "0.4.44"
pyo3 = { workspace = true, features = ["extension-module", "abi3-py311", "generate-import-lib"] }
pyo3-arrow = { version = "0.17.0", default-features = false }
pyo3-async-runtimes = { version = "0.28.0", features = ["tokio-runtime"] }
qroissant-arrow = { path = "../qroissant-arrow" }
qroissant-core = { path = "../qroissant-core" }
qroissant-kernels = { path = "../qroissant-kernels" }
qroissant-transport = { path = "../qroissant-transport" }
r2d2 = "0.8.10"
tabled = "0.17.0"
thiserror = "2.0.18"
tokio = { version = "1.48.0", features = ["io-util", "net", "rt-multi-thread", "sync", "time"] }
